Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto
Interface AsymmetricCipherKeyPairGenerator

All Known Implementing Classes:
  AIMerKeyPairGenerator, CMCEKeyPairGenerator, CMCEKeyPairGenerator, CramerShoupKeyPairGenerator, DHBasicKeyPairGenerator, DHKeyPairGenerator, DilithiumKeyPairGenerator, DSAKeyPairGenerator, ECCSIKeyPairGenerator, ECKeyPairGenerator, Ed25519KeyPairGenerator, Ed448KeyPairGenerator, ElGamalKeyPairGenerator, FaestKeyPairGenerator, FalconKeyPairGenerator, FrodoKEMKeyPairGenerator, FrodoKeyPairGenerator, GOST3410KeyPairGenerator, HAETAEKeyPairGenerator, HawkKeyPairGenerator, HQCKeyPairGenerator, MayoKeyPairGenerator, MLDSAKeyPairGenerator, MLDSAKeyPairGenerator, MLKEMKeyPairGenerator, MLKEMKeyPairGenerator, MQOMKeyPairGenerator, NaccacheSternKeyPairGenerator, NHKeyPairGenerator, NTRUKeyPairGenerator, NTRULPRimeKeyPairGenerator, NTRUPlusKeyPairGenerator, QRUOVKeyPairGenerator, RSAKeyPairGenerator, SABERKeyPairGenerator, SDitHKeyPairGenerator, SLHDSAKeyPairGenerator, SLHDSAKeyPairGenerator, SnovaKeyPairGenerator, SNTRUPrimeKeyPairGenerator, SPHINCS256KeyPairGenerator, SQIsignKeyPairGenerator, UOVKeyPairGenerator, X25519KeyPairGenerator, X448KeyPairGenerator, XWingKeyPairGenerator

public interface AsymmetricCipherKeyPairGenerator

interface that a public/private key pair generator should conform to.

Method Summary
`AsymmetricCipherKeyPair` | `generateKeyPair()` return an AsymmetricCipherKeyPair containing the generated keys.
`void` | `init(KeyGenerationParameters param)` intialise the key pair generator.

Method Detail

### init

    public void init(KeyGenerationParameters param)

  intialise the key pair generator.

  Parameters:
    `param` - the parameters the key pair is to be initialised with.

### generateKeyPair

    public AsymmetricCipherKeyPair generateKeyPair()

  return an AsymmetricCipherKeyPair containing the generated keys.

  Returns:
    an AsymmetricCipherKeyPair containing the generated keys.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD